Using RHEL 5 and have downloaded nete-wa-6qmr5-cr0xx-linux.bin web agent package. However I get the error: cannot load: libmod_sm22.so

Document ID : KB000051203
Last Modified Date : 14/02/2018
Show Technical Document Details

Description:

While trying to integrate Siteminder Webagent "nete-wa-6qmr5-cr022-linux.bin" with Apache 2.2.3 running on RedHat R5. Installation automatically placed two lines in httpd.conf related to Siteminder Webagent. When trying to start the apache, the following error occurs:

httpd: Syntax error on line 150 of /etc/httpd/conf/httpd.conf: Cannot load /etc/netegrity/webagent/bin/libmod_sm22.so into server:

/etc/netegrity/webagent/bin/libmod_sm22.so: cannot open shared object file: No such file or directory

Solution:

For RedHat you should use the package: smwa-6qmr5-cr022-rhel30.zip

For RHEL you should use the -rhel3 packages. The -rhel3 packages are built specifically for RHEL.

The -rhel3 is not an indication that there is a separate -rhel4 and -rhel5 web agent distribution, but is an indication that the package is for -rhel3 and above so they are the correct package for installation on RHEL 4 and RHEL 5.

The -linux packages are packages for generic Linux, and do not contain optimized compilations for Red Hat. The generic Linux packages, also contain webagents for Apache 1.3 and Apache 2.0 packages.